WhatsApp · WhatsApp Phone Numbers
Fetches a phone number.
GET
https://api.pozy.ai/v1/whatsapp/phone-numbers/{phoneNumberId}DeprecatedgetWhatsAppPhoneNumber
Request
Send your API key as Authorization: Bearer pz_live_.... Read-only keys can call it. Keys with the telephony resource group disabled get 403 resource_group_disabled. Authentication
Path parameters
| Name | Type | Notes |
|---|---|---|
phoneNumberIdrequired | string |
Example
curl -X GET "https://api.pozy.ai/v1/whatsapp/phone-numbers/698fba0989716df44adb771f" \
-H "Authorization: Bearer $POZY_API_KEY"const res = await fetch("https://api.pozy.ai/v1/whatsapp/phone-numbers/698fba0989716df44adb771f", {
headers: { Authorization: `Bearer ${process.env.POZY_API_KEY}` },
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);import os
import requests
resp = requests.get(
"https://api.pozy.ai/v1/whatsapp/phone-numbers/698fba0989716df44adb771f",
headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
timeout=30,
)
resp.raise_for_status()
print(resp.json())Response
200 on success
phoneNumberobject12 child fields
idstringphoneNumberstringstatusstringOne of
pending_payment,pending_regulatory,regulatory_declined,provisioning,verifying,active,suspended,releasing,released.countrystringmetaPreverifiedIdstringmetaVerificationStatusstringidentityVerificationUrlstringCan be null.
endUserFirstNamestringCan be null.
endUserLastNamestringCan be null.
regulatoryDeclineReasonstringCan be null.
provisionedAtstring (date-time)sipTrunkIdstringCan be null.
200 response
{
"phoneNumber": {
"id": "6bfebd43ddc270f6d2c56fc5",
"phoneNumber": "+14155550123",
"status": "pending_payment",
"country": "US",
"metaPreverifiedId": "608441ffe00bbbbd4b634fe0",
"metaVerificationStatus": "active",
"identityVerificationUrl": "https://pozy.ai/media/example-1.jpg",
"endUserFirstName": "Acme",
"endUserLastName": "Acme",
"regulatoryDeclineReason": "string",
"provisionedAt": "2026-10-02T09:00:00.000Z",
"sipTrunkId": "64a65f5550725a070e2afc75"
}
}Errors
Errors use one shape: { error, type, code, param?, details? }. The ones you are most likely to see here:
| 400 | invalid_request_error | A parameter or body field is missing or invalid. param names it. |
| 401 | authentication_error | The API key is missing, revoked or expired. |
| 403 | permission_error | The key is scoped to other profiles or has this resource group disabled. |
| 404 | not_found | Nothing with that id exists in your workspace. |
| 429 | rate_limit_error | Too many requests this minute. Wait for Retry-After seconds. |
Every code is listed in Errors.
More in WhatsApp Phone Numbers
GETGet number statusGETGet pricing analyticsGETList phone numbersPOSTPurchase phone numberGETList offerable number countriesGETSearch available numbersGETCheck country availabilityGETGet KYC form specPOSTSubmit KYCPOSTUpload a KYC documentPOSTPre-validate KYC addressPOSTCreate a hosted KYC linkPATCHMove a number to another profileGETGet declined requirementsPOSTResubmit a declined numberDELRelease phone number